__IF_EXISTS__
SELECT 1  FROM CI_UT_INSTL_DTL WHERE SCRIPT_FILE_NAME = 'FW45001_BPSCHEMA_OUAF-33840.SQL' AND END_DTTM IS NOT NULL
/
__THEN__
__EXIT__
__ENDIF__

__IF_EXISTS__
SELECT 1  FROM USER_TABLES WHERE TABLE_NAME = 'F1_INSTALLATION'
/

__ELSE__
__EXIT__
__ENDIF__


__IF_EXISTS__
SELECT 1 FROM USER_TABLES WHERE TABLE_NAME = 'F1_CRYPTO_KEY_RING'
/
__ELSE__
__EXIT__
__ENDIF__

__IF_EXISTS__
SELECT 1  FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'F1_CRYPTO_KEY_RING' AND COLUMN_NAME = 'F1_KEY_RING_STATUS_FLG'
/
__THEN__
ALTER TABLE F1_CRYPTO_KEY_RING DROP COLUMN F1_KEY_RING_STATUS_FLG
/
__ELSE__
__ENDIF__


__IF_EXISTS__
SELECT 1 FROM USER_TABLES WHERE TABLE_NAME = 'F1_REDACTION_RULE'
/
__ELSE__
__EXIT__
__ENDIF__

__IF_EXISTS__
SELECT 1  FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'F1_REDACTION_RULE' AND COLUMN_NAME = 'REDACT_FUNC_FLG'
/
__THEN__
ALTER TABLE F1_REDACTION_RULE DROP COLUMN REDACT_FUNC_FLG
/
__ELSE__
__ENDIF__